/* Copyright Statement:
 *
 * This software/firmware and related documentation ("MediaTek Software") are
 * protected under relevant copyright laws. The information contained herein
 * is confidential and proprietary to MediaTek Inc. and/or its licensors.
 * Without the prior written permission of MediaTek inc. and/or its licensors,
 * any reproduction, modification, use or disclosure of MediaTek Software,
 * and information contained herein, in whole or in part, shall be strictly prohibited.
 */
/* MediaTek Inc. (C) 2018. All rights reserved.
 *
 * BY OPENING THIS FILE, RECEIVER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES
 * THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE")
 * RECEIVED FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO RECEIVER ON
 * AN "AS-IS" BASIS ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT.
 * NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY WHATSOEVER WITH RESPECT TO THE
 * SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY, INCORPORATED IN, OR
 * SUPPLIED WITH THE MEDIATEK SOFTWARE, AND RECEIVER AGREES TO LOOK ONLY TO SUCH
 * THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO. RECEIVER EXPRESSLY ACKNOWLEDGES
 * THAT IT IS RECEIVER'S SOLE RESPONSIBILITY TO OBTAIN FROM ANY THIRD PARTY ALL PROPER LICENSES
 * CONTAINED IN MEDIATEK SOFTWARE. MEDIATEK SHALL ALSO NOT BE RESPONSIBLE FOR ANY MEDIATEK
 * SOFTWARE RELEASES MADE TO RECEIVER'S SPECIFICATION OR TO CONFORM TO A PARTICULAR
 * STANDARD OR OPEN FORUM. RECEIVER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S ENTIRE AND
 * CUMULATIVE LIABILITY WITH RESPECT TO THE MEDIATEK SOFTWARE RELEASED HEREUNDER WILL BE,
 * AT MEDIATEK'S OPTION, TO REVISE OR REPLACE THE MEDIATEK SOFTWARE AT ISSUE,
 * OR REFUND ANY SOFTWARE LICENSE FEES OR SERVICE CHARGE PAID BY RECEIVER TO
 * MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE.
 *
 * The following software/firmware and/or related documentation ("MediaTek Software")
 * have been modified by MediaTek Inc. All revisions are subject to any receiver's
 * applicable license agreements with MediaTek Inc.
 */

/********************************************************************************************
 *     LEGAL DISCLAIMER
 *
 *     (Header of MediaTek Software/Firmware Release or Documentation)
 *
 *     BY OPENING OR USING THIS FILE, BUYER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES
 *     THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE") RECEIVED
 *     FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO BUYER ON AN "AS-IS" BASIS
 *     ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED,
 *     INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
 *     A PARTICULAR PURPOSE OR NONINFRINGEMENT. NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY
 *     WHATSOEVER WITH RESPECT TO THE SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY,
 *     INCORPORATED IN, OR SUPPLIED WITH THE MEDIATEK SOFTWARE, AND BUYER AGREES TO LOOK
 *     ONLY TO SUCH THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO. MEDIATEK SHALL ALSO
 *     NOT BE RESPONSIBLE FOR ANY MEDIATEK SOFTWARE RELEASES MADE TO BUYER'S SPECIFICATION
 *     OR TO CONFORM TO A PARTICULAR STANDARD OR OPEN FORUM.
 *
 *     BUYER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S ENTIRE AND CUMULATIVE LIABILITY WITH
 *     RESPECT TO THE MEDIATEK SOFTWARE RELEASED HEREUNDER WILL BE, AT MEDIATEK'S OPTION,
 *     TO REVISE OR REPLACE THE MEDIATEK SOFTWARE AT ISSUE, OR REFUND ANY SOFTWARE LICENSE
 *     FEES OR SERVICE CHARGE PAID BY BUYER TO MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE.
 *
 *     THE TRANSACTION CONTEMPLATED HEREUNDER SHALL BE CONSTRUED IN ACCORDANCE WITH THE LAWS
 *     OF THE STATE OF CALIFORNIA, USA, EXCLUDING ITS CONFLICT OF LAWS PRINCIPLES.
 ************************************************************************************************/
#include "camera_custom_nvram.h"
#include "camera_custom_isp_nvram.h"

#include "inc.h"

#define OBC_BASE                                                     OBC_ISP_RAW_BASE
#define BPC_BPC_BASE                                                 BPC_BPC_ISP_RAW_BASE
#define BPC_CT_BASE                                                  BPC_CT_ISP_RAW_BASE
#define BPC_PDC_BASE                                                 BPC_PDC_ISP_RAW_BASE
#define LDNR_BASE                                                    LDNR_ISP_RAW_BASE

const ISP_NVRAM_OBC_T OBC_BASE[8] = {
    // IDX_0
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_1
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_2
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_3
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_4
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_5
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_6
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
    // IDX_7
    {
        .dbs       ={.bits ={.OBC_DBS_RATIO=16, .rsv_5=0, .OBC_POSTTUNE_EN=1, .rsv_9=0}},
        .gray_bld_0={.bits ={.OBC_LUMA_MODE=0, .OBC_GRAY_MODE=2, .OBC_NORM_BIT=12, .rsv_8=0}},
        .gray_bld_1={.bits ={.OBC_BLD_MXRT=0, .OBC_BLD_LOW=269, .OBC_BLD_SLP=683}},
        .bias_lut_r0={.bits ={.OBC_BIAS_R0=0, .OBC_BIAS_R1=0, .OBC_BIAS_R2=0, .OBC_BIAS_R3=0}},
        .bias_lut_r1={.bits ={.OBC_BIAS_R4=0, .OBC_BIAS_R5=0, .OBC_BIAS_R6=0, .OBC_BIAS_R7=0}},
        .bias_lut_r2={.bits ={.OBC_BIAS_R8=0, .OBC_BIAS_R9=0, .OBC_BIAS_R10=0, .OBC_BIAS_R11=0}},
        .bias_lut_r3={.bits ={.OBC_BIAS_R12=0, .OBC_BIAS_R13=0, .OBC_BIAS_R14=0, .rsv_24=0}},
        .bias_lut_g0={.bits ={.OBC_BIAS_G0=0, .OBC_BIAS_G1=0, .OBC_BIAS_G2=0, .OBC_BIAS_G3=0}},
        .bias_lut_g1={.bits ={.OBC_BIAS_G4=0, .OBC_BIAS_G5=0, .OBC_BIAS_G6=0, .OBC_BIAS_G7=0}},
        .bias_lut_g2={.bits ={.OBC_BIAS_G8=0, .OBC_BIAS_G9=0, .OBC_BIAS_G10=0, .OBC_BIAS_G11=0}},
        .bias_lut_g3={.bits ={.OBC_BIAS_G12=0, .OBC_BIAS_G13=0, .OBC_BIAS_G14=0, .rsv_24=0}},
        .bias_lut_b0={.bits ={.OBC_BIAS_B0=0, .OBC_BIAS_B1=0, .OBC_BIAS_B2=0, .OBC_BIAS_B3=0}},
        .bias_lut_b1={.bits ={.OBC_BIAS_B4=0, .OBC_BIAS_B5=0, .OBC_BIAS_B6=0, .OBC_BIAS_B7=0}},
        .bias_lut_b2={.bits ={.OBC_BIAS_B8=0, .OBC_BIAS_B9=0, .OBC_BIAS_B10=0, .OBC_BIAS_B11=0}},
        .bias_lut_b3={.bits ={.OBC_BIAS_B12=0, .OBC_BIAS_B13=0, .OBC_BIAS_B14=0, .rsv_24=0}},
        .offset_r  ={.bits ={.OBC_OFST_R=4194048, .rsv_22=0}},
        .offset_gr ={.bits ={.OBC_OFST_GR=4194048, .rsv_22=0}},
        .offset_gb ={.bits ={.OBC_OFST_GB=4194048, .rsv_22=0}},
        .offset_b  ={.bits ={.OBC_OFST_B=4194048, .rsv_22=0}},
    },
};
const ISP_NVRAM_BPC_BPC_T BPC_BPC_BASE[8] = {
    // IDX_0
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_1
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_2
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_3
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_4
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_5
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_6
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
    // IDX_7
    {
        .con       ={.bits ={.BPC_BPC_EN=0, .rsv_1=0, .BPC_BPC_LUT_EN=0, .BPC_BPC_TABLE_END_MODE=1, .rsv_6=0, .BPC_BPC_AVG_MODE=0, .rsv_9=0, .BPC_BPC_DTC_MODE=0, .BPC_BPC_CS_MODE=2, .BPC_BPC_CRC_MODE=0, .BPC_BPC_EXC=0, .BPC_BPC_BLD_MODE=0, .BPC_LE_INV_CTL=0, .BPC_BPC_AUX_MAP_EN=0, .BPC_BPC_AUX_MAP_OR_EN=0, .rsv_26=0, .BPC_BNR_EDGE=15}},
        .bld       ={.bits ={.BPC_BPC_BLD0=0, .rsv_7=0, .BPC_BPC_BLD1=64, .rsv_15=0, .BPC_BPC_BLD_SP=5, .rsv_24=0}},
        .th1       ={.bits ={.BPC_BPC_TH_LWB=50, .rsv_15=0, .BPC_BPC_TH_Y=151, .rsv_31=0}},
        .th2       ={.bits ={.BPC_BPC_TH_XB=568, .rsv_15=0, .BPC_BPC_TH_UPB=500, .rsv_31=0}},
        .th3       ={.bits ={.BPC_BPC_DK_TH_XB=1600, .rsv_15=0, .BPC_BPC_TH_XA=301, .rsv_31=0}},
        .th4       ={.bits ={.BPC_BPC_DK_TH_XA=1000, .rsv_15=0}},
        .th5       ={.bits ={.BPC_BPC_TH_SLA=15, .BPC_BPC_TH_SLB=6, .rsv_8=0}},
        .th6       ={.bits ={.BPC_BPC_DK_TH_SLA=6, .BPC_BPC_DK_TH_SLB=3, .rsv_8=0}},
        .dtc       ={.bits ={.BPC_BPC_RNG=1, .BPC_BPC_CS_RNG=1, .rsv_7=0, .BPC_BPC_CT_LV=0, .rsv_12=0, .BPC_BPC_TH_MUL=10, .rsv_20=0, .BPC_BPC_NO_LV=3, .rsv_27=0}},
        .cor       ={.bits ={.BPC_BPC_DIR_MAX=25, .BPC_BPC_DIR_TH=5, .rsv_16=0, .BPC_BPC_DIR_TH2=5}},
        .rank      ={.bits ={.BPC_BPC_RANK_IDXB=1, .rsv_3=0, .BPC_BPC_RANK_IDXR=1, .rsv_7=0, .BPC_BPC_RANK_IDXG=1, .rsv_11=0, .BPC_BPC_BLD_LWB=200, .rsv_24=0}},
        .th1_c     ={.bits ={.BPC_BPC_C_TH_LWB=90, .rsv_15=0, .BPC_BPC_C_TH_Y=213, .rsv_31=0}},
        .th2_c     ={.bits ={.BPC_BPC_C_TH_XA=160, .rsv_15=0, .BPC_BPC_C_TH_XB=700, .rsv_31=0}},
        .th3_c     ={.bits ={.BPC_BPC_C_TH_SLA=12, .BPC_BPC_C_TH_SLB=3, .BPC_BPC_C_TH_UPB=500, .rsv_23=0}},
        .ll        ={.bits ={.BPC_BPC_LL_LWB=0, .BPC_BPC_LL_LSP=0, .rsv_17=0}},
        .zhdr_con  ={.bits ={.BPC_ZHDR_EN=0, .rsv_1=0, .BPC_ZHDR_GLE_FIRST=0, .rsv_5=0, .BPC_ZHDR_RLE_FIRST=0, .rsv_9=0, .BPC_ZHDR_BLE_FIRST=0, .rsv_13=0, .BPC_ZHDR_OSC_COUNT=5, .BPC_ZHDR_OSC_TH=510}},
        .pseudo    ={.bits ={.BPC_ZHDR_CLAMP_EN=1, .rsv_1=0, .BPC_ZHDR_OUT_SEL_EN=0, .rsv_9=0, .BPC_BPC_OC_MEAN_EN=0, .rsv_17=0, .BPC_PDC_GAIN_MODE_EN=0, .rsv_21=0}},
    },
};
const ISP_NVRAM_BPC_CT_T BPC_CT_BASE[8] = {
    // IDX_0
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_1
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_2
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_3
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_4
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_5
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_6
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
    // IDX_7
    {
        .con1      ={.bits ={.rsv_0=0, .BPC_CT_EN=0, .rsv_5=0}},
        .con2      ={.bits ={.BPC_CT_MD=0, .BPC_CT_MD2=1, .BPC_CT_THRD=0, .rsv_14=0, .BPC_CT_MBND=128, .rsv_26=0, .BPC_CT_SLOPE=1, .BPC_CT_DIV=2}},
        .bld1      ={.bits ={.BPC_CT_UPB=0, .BPC_CT_USP=1, .rsv_17=0}},
        .bld2      ={.bits ={.BPC_CT_LWB=0, .BPC_CT_LSP=1, .rsv_17=0}},
    },
};
const ISP_NVRAM_BPC_PDC_T BPC_PDC_BASE[8] = {
    // IDX_0
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_1
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_2
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_3
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_4
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_5
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_6
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
    // IDX_7
    {
        .con       ={.bits ={.BPC_PDC_EN=0, .rsv_1=0, .BPC_PDC_CT=1, .rsv_5=0, .BPC_PDC_MODE=1, .rsv_10=0, .BPC_PDC_ORI_EN=0, .rsv_21=0, .BPC_PDC_INTP_CC_EN=1, .rsv_25=0}},
        .gain_l0   ={.bits ={.BPC_PDC_GCF_L00=256, .rsv_12=0, .BPC_PDC_GCF_L10=0, .rsv_28=0}},
        .gain_r0   ={.bits ={.BPC_PDC_GCF_R00=256, .rsv_12=0, .BPC_PDC_GCF_R10=0, .rsv_28=0}},
        .th_gb     ={.bits ={.BPC_PDC_GTH=4095, .rsv_12=0, .BPC_PDC_BTH=40, .rsv_28=0}},
        .th_ia     ={.bits ={.BPC_PDC_ITH=0, .rsv_12=0, .BPC_PDC_ATH=4094, .rsv_28=0}},
        .th_hd     ={.bits ={.BPC_PDC_NTH=80, .rsv_12=0, .BPC_PDC_DTH=512, .rsv_28=0}},
        .sl        ={.bits ={.BPC_PDC_GSL=8, .BPC_PDC_BSL=6, .BPC_PDC_ISL=7, .BPC_PDC_ASL=7, .BPC_PDC_GCF_NORM=8, .rsv_20=0}},
        .diff_th_gr1={.bits ={.BPC_PDC_DIFF_TH_GR_Y1=4095, .BPC_PDC_DIFF_TH_GR_SLP1=0, .rsv_19=0, .BPC_PDC_BLD_WT_SLP=15, .rsv_25=0}},
        .diff_th_gr2={.bits ={.BPC_PDC_DIFF_TH_GR_X2=4095, .BPC_PDC_DIFF_TH_GR_Y2=4095, .BPC_PDC_DIFF_TH_GR_SLP2=0, .rsv_31=0}},
        .diff_th_gr3={.bits ={.BPC_PDC_DIFF_TH_GR_X3=4095, .BPC_PDC_DIFF_TH_GR_Y3=4095, .BPC_PDC_DIFF_TH_GR_SLP3=0, .rsv_31=0}},
        .diff_th_gb1={.bits ={.BPC_PDC_DIFF_TH_GB_Y1=4095, .BPC_PDC_DIFF_TH_GB_SLP1=0, .rsv_19=0}},
        .diff_th_gb2={.bits ={.BPC_PDC_DIFF_TH_GB_X2=4095, .BPC_PDC_DIFF_TH_GB_Y2=4095, .BPC_PDC_DIFF_TH_GB_SLP2=0, .rsv_31=0}},
        .diff_th_gb3={.bits ={.BPC_PDC_DIFF_TH_GB_X3=4095, .BPC_PDC_DIFF_TH_GB_Y3=4095, .BPC_PDC_DIFF_TH_GB_SLP3=0, .rsv_31=0}},
        .diff_th_r1={.bits ={.BPC_PDC_DIFF_TH_R_Y1=4095, .BPC_PDC_DIFF_TH_R_SLP1=0, .rsv_19=0}},
        .diff_th_r2={.bits ={.BPC_PDC_DIFF_TH_R_X2=4095, .BPC_PDC_DIFF_TH_R_Y2=4095, .BPC_PDC_DIFF_TH_R_SLP2=0, .rsv_31=0}},
        .diff_th_r3={.bits ={.BPC_PDC_DIFF_TH_R_X3=4095, .BPC_PDC_DIFF_TH_R_Y3=4095, .BPC_PDC_DIFF_TH_R_SLP3=0, .rsv_31=0}},
        .diff_th_b1={.bits ={.BPC_PDC_DIFF_TH_B_Y1=4095, .BPC_PDC_DIFF_TH_B_SLP1=0, .rsv_19=0}},
        .diff_th_b2={.bits ={.BPC_PDC_DIFF_TH_B_X2=4095, .BPC_PDC_DIFF_TH_B_Y2=4095, .BPC_PDC_DIFF_TH_B_SLP2=0, .rsv_31=0}},
        .diff_th_b3={.bits ={.BPC_PDC_DIFF_TH_B_X3=4095, .BPC_PDC_DIFF_TH_B_Y3=4095, .BPC_PDC_DIFF_TH_B_SLP3=0, .rsv_31=0}},
        .gain1     ={.bits ={.BPC_PDC_GAIN_GB=1024, .BPC_PDC_GAIN_GR=1024, .BPC_PDC_GAIN_MODE=0, .rsv_26=0}},
        .gain2     ={.bits ={.BPC_PDC_GAIN_B=1024, .BPC_PDC_GAIN_R=1024, .rsv_24=0}},
        .pd_mode   ={.bits ={.BPC_ZHDR_OSC_PD_MODE=0, .rsv_1=0, .BPC_PDC_INTP_PD_MODE=0, .rsv_5=0, .BPC_BPC_RANK_PD_MODE=0, .rsv_9=0, .BPC_BPC_LBL_PD_MODE=0, .rsv_13=0, .BPC_BPC_AVG_PD_MODE=0, .rsv_17=0}},
    },
};
const ISP_NVRAM_LDNR_T LDNR_BASE[8] = {
    // IDX_0
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_1
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_2
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_3
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_4
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_5
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_6
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
    // IDX_7
    {
        .con1      ={.bits ={.LDNR_RAT=256, .rsv_9=0}},
        .ee_con1   ={.bits ={.LDNR_RAW_FMT=3, .LDNR_LR_RAT=15, .LDNR_ACT_G_EN=1, .rsv_7=0}},
        .ee_lm_y012={.bits ={.LDNR_LM_Y0=511, .LDNR_LM_Y1=384, .LDNR_LM_Y2=256, .rsv_27=0}},
        .ee_lm_y345={.bits ={.LDNR_LM_Y3=128, .LDNR_LM_Y4=64, .LDNR_LM_Y5=32, .rsv_27=0}},
        .ee_sl     ={.bits ={.LDNR_SL_L_Y1=255, .LDNR_SL_L_Y2=255, .LDNR_SL_HR=16, .rsv_21=0}},
        .ee_lwb    ={.bits ={.LDNR_H1_LWB=20, .LDNR_H2_LWB=52, .LDNR_H3_LWB=52, .LDNR_HSLL=5, .rsv_28=0}},
        .ee_upb    ={.bits ={.LDNR_H1_UPB=80, .LDNR_H2_UPB=220, .LDNR_H3_UPB=255, .LDNR_HSLR=5, .rsv_28=0}},
        .rng       ={.bits ={.LDNR_RNG1=4, .LDNR_RNG2=14, .LDNR_RNG3=25, .LDNR_RNG4=36, .rsv_24=0}},
        .con2      ={.bits ={.LDNR_MED_RAT=0, .LDNR_PRF_RAT=0, .LDNR_RAD=3, .rsv_16=0, .LDNR_CTHR=43, .LDNR_CTHL=36, .rsv_29=0}},
        .sl        ={.bits ={.LDNR_SL_EN=0, .LDNR_SL_Y2=128, .LDNR_SL_Y1=128, .rsv_21=0}},
        .ssl_sth   ={.bits ={.LDNR_SSL_C2=0, .LDNR_STH_C2=0, .LDNR_SSL_C1=0, .LDNR_STH_C1=0}},
        .ee_con2   ={.bits ={.LDNR_HA_STR=16, .LDNR_H1_GN=0, .LDNR_H2_GN=0, .LDNR_H3_GN=0, .rsv_20=0}},
        .ee_th     ={.bits ={.LDNR_CORE_TH=0, .LDNR_CLIP_TH=100, .LDNR_OV_TH=223, .LDNR_UN_TH=32}},
        .ee_hgn    ={.bits ={.LDNR_HPOS_GN=16, .LDNR_HNEG_GN=16, .rsv_10=0}},
        .cnv_00_01 ={.bits ={.LDNR_CNV_00=128, .LDNR_CNV_01=256, .rsv_22=0}},
        .cnv_02    ={.bits ={.LDNR_CNV_02=128, .rsv_11=0}},
        .cnv_10_11 ={.bits ={.LDNR_CNV_10=1920, .LDNR_CNV_11=256, .rsv_22=0}},
        .cnv_12    ={.bits ={.LDNR_CNV_12=1920, .rsv_11=0}},
        .cnv_20_21 ={.bits ={.LDNR_CNV_20=256, .LDNR_CNV_21=0, .rsv_22=0}},
        .cnv_22    ={.bits ={.LDNR_CNV_22=1792, .rsv_11=0}},
        .icnv_00_01={.bits ={.LDNR_ICNV_00=512, .LDNR_ICNV_01=1536, .rsv_22=0}},
        .icnv_02   ={.bits ={.LDNR_ICNV_02=512, .rsv_11=0}},
        .icnv_10_11={.bits ={.LDNR_ICNV_10=512, .LDNR_ICNV_11=512, .rsv_22=0}},
        .icnv_12   ={.bits ={.LDNR_ICNV_12=0, .rsv_11=0}},
        .icnv_20_21={.bits ={.LDNR_ICNV_20=512, .LDNR_ICNV_21=1536, .rsv_22=0}},
        .icnv_22   ={.bits ={.LDNR_ICNV_22=1536, .rsv_11=0}},
        .coef_c1   ={.bits ={.LDNR_COEF_R_C1=0, .LDNR_COEF_G_C1=0, .LDNR_COEF_B_C1=0, .rsv_25=0}},
        .coef_c2   ={.bits ={.LDNR_COEF_R_C2=0, .LDNR_COEF_G_C2=0, .LDNR_COEF_B_C2=0, .rsv_25=0}},
        .nm_b      ={.bits ={.LDNR_NM_OFST_B=0, .LDNR_NM_SL_B=0, .rsv_21=0}},
        .nm_g      ={.bits ={.LDNR_NM_OFST_G=0, .LDNR_NM_SL_G=0, .rsv_21=0}},
        .nm_r      ={.bits ={.LDNR_NM_OFST_R=0, .LDNR_NM_SL_R=0, .rsv_21=0}},
    },
};
